ApiMcp servers
Get an MCP server
Get an MCP server by ID. Returns server details with enriched error classification if the server has an error status.
Path Parameters
server_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_name": "string",
"description": "string",
"icon_url": "string",
"type": "remote",
"status": "pending",
"config": {},
"source": "manual",
"source_doc_url": "string",
"sync_schedule": "manual",
"credential_mode": "managed",
"last_synced_at": "2019-08-24T14:15:22Z",
"tool_sync_hash": "string",
"last_error": "string",
"enriched_error": {
"category": "package_not_found",
"raw_message": "string",
"user_message": "string",
"action_type": "fix_config",
"action_label": "string",
"action_url": "string",
"action_data": {},
"extracted_values": [
"string"
]
},
"portal_visible": false,
"portal_category": "string",
"portal_tags": [
"string"
],
"exposure_mode": "all",
"oauth_config": {},
"credential_requirements": [
{
"name": "string",
"kind": "env_var",
"description": "string",
"required": true,
"sensitive": true,
"admin_value_set": false,
"example_format": "string",
"prefix": "string",
"validation_pattern": "string",
"help_url": "string",
"ai_suggestion_reason": "string",
"ai_confidence": 1
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"tool_count": 0,
"created_tools": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"input_schema": {},
"has_embedding": true,
"enrichment_data": {},
"origin_type": "rest",
"skill_id": "3cd68bb3-8b7e-48be-8232-1b99b5b4b3aa",
"entrypoint": "string",
"script_metadata": {},
"has_overrides": false,
"override_description": "string",
"override_input_schema": {},
"override_enrichment_data": {}
}
],
"mcp_endpoint_url": "string"
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}